package com.bcxin.ars.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * 保安奖励信息
 * @author Ethan
 */
public class Datasync extends BaseModel {

	private static final long serialVersionUID = 7649752662428917609L;

	/**
	 * 账户信息
	 */
	@JsonIgnoreProperties(value={"handler"})
	private User user;

	/**
	 * 操作日期
	 */
	private String opdate;

	/**
	 * 操作功能
	 */
	private String opfun;

	/**
	 * 状态
	 */
	private String state;

	/**
	 * 关联ID
	 */
	private Long bid;

	public Long getBid() {
		return bid;
	}

	public void setBid(Long bid) {
		this.bid = bid;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public String getOpdate() {
		return opdate;
	}

	public void setOpdate(String opdate) {
		this.opdate = opdate;
	}

	public String getOpfun() {
		return opfun;
	}

	public void setOpfun(String opfun) {
		this.opfun = opfun;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}


	private String templateName;

	public String getTemplateName() {
		return templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}
}
